NewWacht Bench is live — AI-assisted development for Wacht

Get Knowledge Base Documents

GET
/ai/knowledge-bases/{kb_id}/documents

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

kb_id*string

Query Parameters

limit?integer
offset?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/knowledge-bases/string/documents"
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "title": "string",
      "description": "string",
      "file_name": "string",
      "file_size": 0,
      "file_type": "string",
      "storage_object_key": "string",
      "knowledge_base_id": "string",
      "processing_metadata": null
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}